## 1.0.0+
- dropped, shouldn't be used

## 2.0.0 - 2.0.0+2
- add thin `Array` wrapper to manage view into contiguous memory
- add `Arena` class for arena allocation
- add `SharedArray` for shared (reference counted) memory

## 2.0.1
- fix subclassing problem of `Array`

## 2.1.0
- `Array` gets a `delete()` method (just sugar for `free(array.ptr)`)

## 3.0.0-beta
- use extensions instead of inheritance (otherwise an `Array<Uint8>` couldn't be passed as an `Uint8Array`) 
- use only `NativeType` as as generic type parameter, which is much less verbose

## 3.1.0-beta
- Array.fromList() accepts all Iterable<int> instead of only List<int>
- Arena also takes a `GetView` function like `Array` as constructor argument
- Arena now produces `ArrayView`s when calling `newArray()`
- Work on extensibility, meta annotation and documentation
- export utility functions in library `utils`

## 3.2.0-beta
- Array only stores `Pointer` and its length
- Extension method `asTypedList()` generates and caches view
- General work on API. 

## 3.2.1-beta
- Work on `SharedArray`

## 3.2.2-beta
- fix bug! `SharedArray` and `Arena` call standard allocator instead of `null`

## 3.3.0-beta
- `PlatformSpecific` contains platform specific functionality for `DynamicLibrary`,
eg. to get the platform specific file extension for dynamic libraries.

## 3.3.0-beta+1
- update README

## 4.0.0
- `Array` is an abstract class 
- As a consequence, more dependency injection for classes that take an `Array`
- `SharedArray` has less 'questionable' semantics, or rather it now has correct ones.

## 4.1.0
- `Array` is a mixin
- `ArrayList` is a stupid storage class 